Document changes
[moonshot-firefox.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 noinst_PROGRAMS = libmoonshot.so$(EXEEXT)
36 subdir = .
37 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
38         $(srcdir)/Makefile.in $(top_srcdir)/configure depcomp \
39         install-sh missing
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43         $(ACLOCAL_M4)
44 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45  configure.lineno config.status.lineno
46 mkinstalldirs = $(install_sh) -d
47 CONFIG_CLEAN_FILES =
48 CONFIG_CLEAN_VPATH_FILES =
49 PROGRAMS = $(noinst_PROGRAMS)
50 am_libmoonshot_so_OBJECTS = nsHttpMoonshot.$(OBJEXT) \
51         nsMoonshotSessionState.$(OBJEXT) \
52         nsHttpMoonshotModule.$(OBJEXT)
53 libmoonshot_so_OBJECTS = $(am_libmoonshot_so_OBJECTS)
54 am__DEPENDENCIES_1 =
55 am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
56 libmoonshot_so_DEPENDENCIES = $(am__DEPENDENCIES_2)
57 DEFAULT_INCLUDES = -I.@am__isrc@
58 depcomp = $(SHELL) $(top_srcdir)/depcomp
59 am__depfiles_maybe = depfiles
60 am__mv = mv -f
61 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
62         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
63 CXXLD = $(CXX)
64 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
65         -o $@
66 SOURCES = $(libmoonshot_so_SOURCES)
67 DIST_SOURCES = $(libmoonshot_so_SOURCES)
68 ETAGS = etags
69 CTAGS = ctags
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 distdir = $(PACKAGE)-$(VERSION)
72 top_distdir = $(distdir)
73 am__remove_distdir = \
74   { test ! -d "$(distdir)" \
75     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
76          && rm -fr "$(distdir)"; }; }
77 DIST_ARCHIVES = $(distdir).tar.gz
78 GZIP_ENV = --best
79 distuninstallcheck_listfiles = find . -type f -print
80 distcleancheck_listfiles = find . -type f -print
81 ACLOCAL = @ACLOCAL@
82 AMTAR = @AMTAR@
83 AUTOCONF = @AUTOCONF@
84 AUTOHEADER = @AUTOHEADER@
85 AUTOMAKE = @AUTOMAKE@
86 AWK = @AWK@
87 CC = @CC@
88 CCDEPMODE = @CCDEPMODE@
89 CFLAGS = @CFLAGS@
90 CPP = @CPP@
91 CPPFLAGS = @CPPFLAGS@
92 CXX = @CXX@
93 CXXDEPMODE = @CXXDEPMODE@
94 CXXFLAGS = @CXXFLAGS@
95 CYGPATH_W = @CYGPATH_W@
96 DEFS = @DEFS@
97 DEPDIR = @DEPDIR@
98 ECHO_C = @ECHO_C@
99 ECHO_N = @ECHO_N@
100 ECHO_T = @ECHO_T@
101 EGREP = @EGREP@
102 EXEEXT = @EXEEXT@
103 GREP = @GREP@
104 INSTALL = @INSTALL@
105 INSTALL_DATA = @INSTALL_DATA@
106 INSTALL_PROGRAM = @INSTALL_PROGRAM@
107 INSTALL_SCRIPT = @INSTALL_SCRIPT@
108 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
109 LDFLAGS = @LDFLAGS@
110 LIBOBJS = @LIBOBJS@
111 LIBS = @LIBS@
112 LTLIBOBJS = @LTLIBOBJS@
113 MAKEINFO = @MAKEINFO@
114 MKDIR_P = @MKDIR_P@
115 MOZ_IDLDIR = @MOZ_IDLDIR@
116 MOZ_SDKDIR = @MOZ_SDKDIR@
117 OBJEXT = @OBJEXT@
118 PACKAGE = @PACKAGE@
119 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
120 PACKAGE_NAME = @PACKAGE_NAME@
121 PACKAGE_STRING = @PACKAGE_STRING@
122 PACKAGE_TARNAME = @PACKAGE_TARNAME@
123 PACKAGE_URL = @PACKAGE_URL@
124 PACKAGE_VERSION = @PACKAGE_VERSION@
125 PATH_SEPARATOR = @PATH_SEPARATOR@
126 PKG_CONFIG = @PKG_CONFIG@
127 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
128 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
129 RANLIB = @RANLIB@
130 SET_MAKE = @SET_MAKE@
131 SHELL = @SHELL@
132 STRIP = @STRIP@
133 VERSION = @VERSION@
134 XPIDL = @XPIDL@
135 XUL_CFLAGS = @XUL_CFLAGS@
136 XUL_LIBS = @XUL_LIBS@
137 abs_builddir = @abs_builddir@
138 abs_srcdir = @abs_srcdir@
139 abs_top_builddir = @abs_top_builddir@
140 abs_top_srcdir = @abs_top_srcdir@
141 ac_ct_CC = @ac_ct_CC@
142 ac_ct_CXX = @ac_ct_CXX@
143 am__include = @am__include@
144 am__leading_dot = @am__leading_dot@
145 am__quote = @am__quote@
146 am__tar = @am__tar@
147 am__untar = @am__untar@
148 bindir = @bindir@
149 build_alias = @build_alias@
150 builddir = @builddir@
151 datadir = @datadir@
152 datarootdir = @datarootdir@
153 docdir = @docdir@
154 dvidir = @dvidir@
155 exec_prefix = @exec_prefix@
156 host_alias = @host_alias@
157 htmldir = @htmldir@
158 includedir = @includedir@
159 infodir = @infodir@
160 install_sh = @install_sh@
161 libdir = @libdir@
162 libexecdir = @libexecdir@
163 localedir = @localedir@
164 localstatedir = @localstatedir@
165 mandir = @mandir@
166 mkdir_p = @mkdir_p@
167 oldincludedir = @oldincludedir@
168 pdfdir = @pdfdir@
169 prefix = @prefix@
170 program_transform_name = @program_transform_name@
171 psdir = @psdir@
172 sbindir = @sbindir@
173 sharedstatedir = @sharedstatedir@
174 srcdir = @srcdir@
175 sysconfdir = @sysconfdir@
176 target_alias = @target_alias@
177 top_build_prefix = @top_build_prefix@
178 top_builddir = @top_builddir@
179 top_srcdir = @top_srcdir@
180 IDL_FLAGS = -I $(MOZ_IDLDIR)/stable 
181 AM_CXXFLAGS = $(XUL_CFLAGS) -std=gnu++0x -fPIC -DPIC
182 AM_LDFLAGS = $(XUL_LDFLAGS) $(XUL_LIBS)
183 libmoonshot_so_SOURCES = nsHttpMoonshot.cpp \
184                 nsMoonshotSessionState.cpp \
185                 nsHttpMoonshotModule.cpp
186
187 BUILT_SOURCES = nsIHttpMoonshot.h
188 libmoonshot_so_LINK = $(CXX) -o $@ -shared 
189 libmoonshot_so_LDADD = $(AM_LDFLAGS) 
190 XPT = nsIHttpMoonshot.xpt
191 XPI_INSTALL = $(srcdir)/install.js $(srcdir)/install.rdf
192 MOSTLYCLEANFILES = $(BUILT_SOURCES) $(XPT)
193 CLEANFILES = moonshot.xpi
194 all: $(BUILT_SOURCES)
195         $(MAKE) $(AM_MAKEFLAGS) all-am
196
197 .SUFFIXES:
198 .SUFFIXES: .cpp .h .idl .o .obj .xpt
199 am--refresh:
200         @:
201 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
202         @for dep in $?; do \
203           case '$(am__configure_deps)' in \
204             *$$dep*) \
205               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
206               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
207                 && exit 0; \
208               exit 1;; \
209           esac; \
210         done; \
211         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
212         $(am__cd) $(top_srcdir) && \
213           $(AUTOMAKE) --foreign Makefile
214 .PRECIOUS: Makefile
215 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
216         @case '$?' in \
217           *config.status*) \
218             echo ' $(SHELL) ./config.status'; \
219             $(SHELL) ./config.status;; \
220           *) \
221             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
222             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
223         esac;
224
225 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
226         $(SHELL) ./config.status --recheck
227
228 $(top_srcdir)/configure:  $(am__configure_deps)
229         $(am__cd) $(srcdir) && $(AUTOCONF)
230 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
231         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
232 $(am__aclocal_m4_deps):
233
234 clean-noinstPROGRAMS:
235         -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
236 libmoonshot.so$(EXEEXT): $(libmoonshot_so_OBJECTS) $(libmoonshot_so_DEPENDENCIES) 
237         @rm -f libmoonshot.so$(EXEEXT)
238         $(libmoonshot_so_LINK) $(libmoonshot_so_OBJECTS) $(libmoonshot_so_LDADD) $(LIBS)
239
240 mostlyclean-compile:
241         -rm -f *.$(OBJEXT)
242
243 distclean-compile:
244         -rm -f *.tab.c
245
246 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsHttpMoonshot.Po@am__quote@
247 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsHttpMoonshotModule.Po@am__quote@
248 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nsMoonshotSessionState.Po@am__quote@
249
250 .cpp.o:
251 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
252 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
253 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
254 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
255 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
256
257 .cpp.obj:
258 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
259 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
260 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
261 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
262 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
263
264 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
265         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
266         unique=`for i in $$list; do \
267             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
268           done | \
269           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
270               END { if (nonempty) { for (i in files) print i; }; }'`; \
271         mkid -fID $$unique
272 tags: TAGS
273
274 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
275                 $(TAGS_FILES) $(LISP)
276         set x; \
277         here=`pwd`; \
278         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
279         unique=`for i in $$list; do \
280             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
281           done | \
282           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
283               END { if (nonempty) { for (i in files) print i; }; }'`; \
284         shift; \
285         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
286           test -n "$$unique" || unique=$$empty_fix; \
287           if test $$# -gt 0; then \
288             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
289               "$$@" $$unique; \
290           else \
291             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
292               $$unique; \
293           fi; \
294         fi
295 ctags: CTAGS
296 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
297                 $(TAGS_FILES) $(LISP)
298         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
299         unique=`for i in $$list; do \
300             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
301           done | \
302           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
303               END { if (nonempty) { for (i in files) print i; }; }'`; \
304         test -z "$(CTAGS_ARGS)$$unique" \
305           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
306              $$unique
307
308 GTAGS:
309         here=`$(am__cd) $(top_builddir) && pwd` \
310           && $(am__cd) $(top_srcdir) \
311           && gtags -i $(GTAGS_ARGS) "$$here"
312
313 distclean-tags:
314         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
315
316 distdir: $(DISTFILES)
317         $(am__remove_distdir)
318         test -d "$(distdir)" || mkdir "$(distdir)"
319         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
320         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
321         list='$(DISTFILES)'; \
322           dist_files=`for file in $$list; do echo $$file; done | \
323           sed -e "s|^$$srcdirstrip/||;t" \
324               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
325         case $$dist_files in \
326           */*) $(MKDIR_P) `echo "$$dist_files" | \
327                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
328                            sort -u` ;; \
329         esac; \
330         for file in $$dist_files; do \
331           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
332           if test -d $$d/$$file; then \
333             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
334             if test -d "$(distdir)/$$file"; then \
335               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
336             fi; \
337             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
338               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
339               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
340             fi; \
341             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
342           else \
343             test -f "$(distdir)/$$file" \
344             || cp -p $$d/$$file "$(distdir)/$$file" \
345             || exit 1; \
346           fi; \
347         done
348         -test -n "$(am__skip_mode_fix)" \
349         || find "$(distdir)" -type d ! -perm -755 \
350                 -exec chmod u+rwx,go+rx {} \; -o \
351           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
352           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
353           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
354         || chmod -R a+r "$(distdir)"
355 dist-gzip: distdir
356         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
357         $(am__remove_distdir)
358
359 dist-bzip2: distdir
360         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
361         $(am__remove_distdir)
362
363 dist-lzma: distdir
364         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
365         $(am__remove_distdir)
366
367 dist-xz: distdir
368         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
369         $(am__remove_distdir)
370
371 dist-tarZ: distdir
372         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
373         $(am__remove_distdir)
374
375 dist-shar: distdir
376         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
377         $(am__remove_distdir)
378
379 dist-zip: distdir
380         -rm -f $(distdir).zip
381         zip -rq $(distdir).zip $(distdir)
382         $(am__remove_distdir)
383
384 dist dist-all: distdir
385         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
386         $(am__remove_distdir)
387
388 # This target untars the dist file and tries a VPATH configuration.  Then
389 # it guarantees that the distribution is self-contained by making another
390 # tarfile.
391 distcheck: dist
392         case '$(DIST_ARCHIVES)' in \
393         *.tar.gz*) \
394           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
395         *.tar.bz2*) \
396           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
397         *.tar.lzma*) \
398           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
399         *.tar.xz*) \
400           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
401         *.tar.Z*) \
402           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
403         *.shar.gz*) \
404           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
405         *.zip*) \
406           unzip $(distdir).zip ;;\
407         esac
408         chmod -R a-w $(distdir); chmod a+w $(distdir)
409         mkdir $(distdir)/_build
410         mkdir $(distdir)/_inst
411         chmod a-w $(distdir)
412         test -d $(distdir)/_build || exit 0; \
413         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
414           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
415           && am__cwd=`pwd` \
416           && $(am__cd) $(distdir)/_build \
417           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
418             $(DISTCHECK_CONFIGURE_FLAGS) \
419           && $(MAKE) $(AM_MAKEFLAGS) \
420           && $(MAKE) $(AM_MAKEFLAGS) dvi \
421           && $(MAKE) $(AM_MAKEFLAGS) check \
422           && $(MAKE) $(AM_MAKEFLAGS) install \
423           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
424           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
425           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
426                 distuninstallcheck \
427           && chmod -R a-w "$$dc_install_base" \
428           && ({ \
429                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
430                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
431                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
432                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
433                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
434               } || { rm -rf "$$dc_destdir"; exit 1; }) \
435           && rm -rf "$$dc_destdir" \
436           && $(MAKE) $(AM_MAKEFLAGS) dist \
437           && rm -rf $(DIST_ARCHIVES) \
438           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
439           && cd "$$am__cwd" \
440           || exit 1
441         $(am__remove_distdir)
442         @(echo "$(distdir) archives ready for distribution: "; \
443           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
444           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
445 distuninstallcheck:
446         @$(am__cd) '$(distuninstallcheck_dir)' \
447         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
448            || { echo "ERROR: files left after uninstall:" ; \
449                 if test -n "$(DESTDIR)"; then \
450                   echo "  (check DESTDIR support)"; \
451                 fi ; \
452                 $(distuninstallcheck_listfiles) ; \
453                 exit 1; } >&2
454 distcleancheck: distclean
455         @if test '$(srcdir)' = . ; then \
456           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
457           exit 1 ; \
458         fi
459         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
460           || { echo "ERROR: files left in build directory after distclean:" ; \
461                $(distcleancheck_listfiles) ; \
462                exit 1; } >&2
463 check-am: all-am
464 check: $(BUILT_SOURCES)
465         $(MAKE) $(AM_MAKEFLAGS) check-am
466 all-am: Makefile $(PROGRAMS)
467 installdirs:
468 install: $(BUILT_SOURCES)
469         $(MAKE) $(AM_MAKEFLAGS) install-am
470 install-exec: install-exec-am
471 install-data: install-data-am
472 uninstall: uninstall-am
473
474 install-am: all-am
475         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
476
477 installcheck: installcheck-am
478 install-strip:
479         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
480           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
481           `test -z '$(STRIP)' || \
482             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
483 mostlyclean-generic:
484         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
485
486 clean-generic:
487         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
488
489 distclean-generic:
490         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
491         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
492
493 maintainer-clean-generic:
494         @echo "This command is intended for maintainers to use"
495         @echo "it deletes files that may require special tools to rebuild."
496         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
497 clean: clean-am
498
499 clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am
500
501 distclean: distclean-am
502         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
503         -rm -rf ./$(DEPDIR)
504         -rm -f Makefile
505 distclean-am: clean-am distclean-compile distclean-generic \
506         distclean-tags
507
508 dvi: dvi-am
509
510 dvi-am:
511
512 html: html-am
513
514 html-am:
515
516 info: info-am
517
518 info-am:
519
520 install-data-am:
521
522 install-dvi: install-dvi-am
523
524 install-dvi-am:
525
526 install-exec-am:
527
528 install-html: install-html-am
529
530 install-html-am:
531
532 install-info: install-info-am
533
534 install-info-am:
535
536 install-man:
537
538 install-pdf: install-pdf-am
539
540 install-pdf-am:
541
542 install-ps: install-ps-am
543
544 install-ps-am:
545
546 installcheck-am:
547
548 maintainer-clean: maintainer-clean-am
549         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
550         -rm -rf $(top_srcdir)/autom4te.cache
551         -rm -rf ./$(DEPDIR)
552         -rm -f Makefile
553 maintainer-clean-am: distclean-am maintainer-clean-generic
554
555 mostlyclean: mostlyclean-am
556
557 mostlyclean-am: mostlyclean-compile mostlyclean-generic
558
559 pdf: pdf-am
560
561 pdf-am:
562
563 ps: ps-am
564
565 ps-am:
566
567 uninstall-am:
568
569 .MAKE: all check install install-am install-strip
570
571 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
572         clean-generic clean-noinstPROGRAMS ctags dist dist-all \
573         dist-bzip2 dist-gzip dist-lzma dist-shar dist-tarZ dist-xz \
574         dist-zip distcheck distclean distclean-compile \
575         distclean-generic distclean-tags distcleancheck distdir \
576         distuninstallcheck dvi dvi-am html html-am info info-am \
577         install install-am install-data install-data-am install-dvi \
578         install-dvi-am install-exec install-exec-am install-html \
579         install-html-am install-info install-info-am install-man \
580         install-pdf install-pdf-am install-ps install-ps-am \
581         install-strip installcheck installcheck-am installdirs \
582         maintainer-clean maintainer-clean-generic mostlyclean \
583         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
584         tags uninstall uninstall-am
585
586 .idl.h:
587         $(XPIDL) -m header $(IDL_FLAGS)$^
588
589 .idl.xpt:
590         $(XPIDL) -m typelib $(IDL_FLAGS)$^
591
592 all: moonshot.xpi
593
594 moonshot.xpi: $(noinst_PROGRAMS) $(XPT) $(XPI_INSTALL)
595         test -d xpi ||rm -rf xpi
596         mkdir -p xpi/components 
597         cp libmoonshot.so xpi/components
598         touch xpi/chrome.manifest
599         cp $(XPI_INSTALL) xpi
600         cp $(XPT) xpi/components
601         cd xpi&&zip ../$@ -r .
602         rm -rf xpi
603
604 # Tell versions [3.59,3.63) of GNU make to not export all variables.
605 # Otherwise a system limit (for SysV at least) may be exceeded.
606 .NOEXPORT: